// Code from https://stackoverflow.com/posts/12817454/revisions with some changes
.clock-div {
  --d: 8em; // Table size
  --r: calc(0.5 * (1 + var(--rel)) * var(--d) / var(--tan)); // circle radius
  --s: calc(2 * var(--r) + var(--d)); // container size
  position: absolute;
  width: var(--s);
  height: var(--s);
}

.clock-div table {
  border: 1px solid;
  position: absolute;
  top: 50%;
  left: 50%;
  margin: calc(-0.5 * var(--d));
  width: var(--d);
  height: var(--d);
  --az: calc(var(--i) * 1turn / var(--m));
  transform: rotate(var(--az)) translate(var(--r)) rotate(calc(-1 * var(--az)));
}

.clock-div table tr td {
  border: 1px solid;
}

.clock-div #clock-mid {
  border: none;
}

.clock-div #clock-mid tr td {
  border: none;
}

.correct-table-cell {
  padding-right: 0;
  background-image: none !important;
}

@-moz-document url-prefix() {
  //Just for Mozilla's Firefox
  .clock-table tr td input.form-control {
    width: 100% !important;
  }
}
